Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class Versioned

    java.lang.Object
      org.jboss.aspects.versioned.Versioned

public class Versioned
extends Object

This interceptor handles chooses an object to invoke on based on the transaction

Version:
  $Revision: 1.2.2.4 $
Author:
  Bill Burke

Field Summary
`static String` | `READONLY`
`static String` | `VERSIONED`
`static String` | `VERSIONED_OBJECT`

Constructor Summary
`Versioned()`

Method Summary
`static DistributedVersionManager` | `getLocalVersionManager()`
`static void` | `makePerFieldVersioned(Object target)`
`static Object` | `makeVersioned(Object target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSIONED

    public static final String VERSIONED

See Also:
  Constant Field Values

### VERSIONED_OBJECT

    public static final String VERSIONED_OBJECT

See Also:
  Constant Field Values

### READONLY

    public static final String READONLY

See Also:
  Constant Field Values

Constructor Detail

### Versioned

    public Versioned()

Method Detail

### makeVersioned

    public static Object makeVersioned(Object target)
                                throws Exception

  Throws:
    `Exception`

### getLocalVersionManager

    public static DistributedVersionManager getLocalVersionManager()
                                                            throws Exception

  Throws:
    `Exception`

### makePerFieldVersioned

    public static void makePerFieldVersioned(Object target)
                                      throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.